diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/link-template.php ./wordpress-3.4/wp-includes/link-template.php
*** ./wordpress-3.3.2/wp-includes/link-template.php	2011-10-24 14:13:23.000000000 -0500
--- ./wordpress-3.4/wp-includes/link-template.php	2012-05-27 11:25:43.000000000 -0500
***************
*** 507,513 ****
   * @since 2.5.0
   *
   * @param string $link_text Descriptive text.
!  * @param int $post_id Optional post ID.  Default to current post.
   * @param string $feed Optional. Feed format.
   * @return string Link to the comment feed for the current post.
  */
--- 507,513 ----
   * @since 2.5.0
   *
   * @param string $link_text Descriptive text.
!  * @param int $post_id Optional post ID. Default to current post.
   * @param string $feed Optional. Feed format.
   * @return string Link to the comment feed for the current post.
  */
***************
*** 589,596 ****
   * @return string Link to the feed for the term specified by $term_id and $taxonomy.
  */
  function get_term_feed_link( $term_id, $taxonomy = 'category', $feed = '' ) {
- 	global $wp_rewrite;
- 
  	$term_id = ( int ) $term_id;
  
  	$term = get_term( $term_id, $taxonomy  );
--- 589,594 ----
***************
*** 1375,1383 ****
   * @since 1.5.0
   *
   * @param int $pagenum Optional. Page ID.
   * @return string
   */
! function get_pagenum_link($pagenum = 1) {
  	global $wp_rewrite;
  
  	$pagenum = (int) $pagenum;
--- 1372,1382 ----
   * @since 1.5.0
   *
   * @param int $pagenum Optional. Page ID.
+  * @param bool $escape Optional. Whether to escape the URL for display, with esc_url(). Defaults to true.
+ * 	Otherwise, prepares the URL with esc_url_raw().
   * @return string
   */
! function get_pagenum_link($pagenum = 1, $escape = true ) {
  	global $wp_rewrite;
  
  	$pagenum = (int) $pagenum;
***************
*** 1428,1434 ****
  
  	$result = apply_filters('get_pagenum_link', $result);
  
! 	return $result;
  }
  
  /**
--- 1427,1436 ----
  
  	$result = apply_filters('get_pagenum_link', $result);
  
! 	if ( $escape )
! 		return esc_url( $result );
! 	else
! 		return esc_url_raw( $result );
  }
  
  /**
***************
*** 1566,1572 ****
  
  	if ( !is_single() && $paged > 1 ) {
  		$attr = apply_filters( 'previous_posts_link_attributes', '' );
! 		return '<a href="' . previous_posts( false ) . "\" $attr>". preg_replace( '/&([^#])(?![a-z]{1,8};)/', '&#038;$1', $label ) .'</a>';
  	}
  }
  
--- 1568,1574 ----
  
  	if ( !is_single() && $paged > 1 ) {
  		$attr = apply_filters( 'previous_posts_link_attributes', '' );
! 		return '<a href="' . previous_posts( false ) . "\" $attr>". preg_replace( '/&([^#])(?![a-z]{1,8};)/i', '&#038;$1', $label ) .'</a>';
  	}
  }
  
***************
*** 1793,1799 ****
  }
  
  /**
!  * Retrieve shortcut link.
   *
   * Use this in 'a' element 'href' attribute.
   *
--- 1795,1801 ----
  }
  
  /**
!  * Retrieve the Press This bookmarklet link.
   *
   * Use this in 'a' element 'href' attribute.
   *
***************
*** 1802,1807 ****
--- 1804,1810 ----
   * @return string
   */
  function get_shortcut_link() {
+ 	// In case of breaking changes, version this. #WP20071
  	$link = "javascript:
  			var d=document,
  			w=window,
***************
*** 1835,1841 ****
   * @uses get_home_url()
   *
   * @param  string $path   (optional) Path relative to the home url.
!  * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http', 'https'.
   * @return string Home url link with optional path appended.
  */
  function home_url( $path = '', $scheme = null ) {
--- 1838,1844 ----
   * @uses get_home_url()
   *
   * @param  string $path   (optional) Path relative to the home url.
!  * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http', 'https', or 'relative'.
   * @return string Home url link with optional path appended.
  */
  function home_url( $path = '', $scheme = null ) {
***************
*** 1854,1866 ****
   *
   * @param  int $blog_id   (optional) Blog ID. Defaults to current blog.
   * @param  string $path   (optional) Path relative to the home url.
!  * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http', 'https'.
   * @return string Home url link with optional path appended.
  */
  function get_home_url( $blog_id = null, $path = '', $scheme = null ) {
  	$orig_scheme = $scheme;
  
! 	if ( !in_array( $scheme, array( 'http', 'https' ) ) )
  		$scheme = is_ssl() && !is_admin() ? 'https' : 'http';
  
  	if ( empty( $blog_id ) || !is_multisite() )
--- 1857,1869 ----
   *
   * @param  int $blog_id   (optional) Blog ID. Defaults to current blog.
   * @param  string $path   (optional) Path relative to the home url.
!  * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http', 'https', or 'relative'.
   * @return string Home url link with optional path appended.
  */
  function get_home_url( $blog_id = null, $path = '', $scheme = null ) {
  	$orig_scheme = $scheme;
  
! 	if ( !in_array( $scheme, array( 'http', 'https', 'relative' ) ) )
  		$scheme = is_ssl() && !is_admin() ? 'https' : 'http';
  
  	if ( empty( $blog_id ) || !is_multisite() )
***************
*** 1868,1874 ****
  	else
  		$url = get_blog_option( $blog_id, 'home' );
  
! 	if ( 'http' != $scheme )
  		$url = str_replace( 'http://', "$scheme://", $url );
  
  	if ( !empty( $path ) && is_string( $path ) && strpos( $path, '..' ) === false )
--- 1871,1879 ----
  	else
  		$url = get_blog_option( $blog_id, 'home' );
  
! 	if ( 'relative' == $scheme )
! 		$url = preg_replace( '#^.+://[^/]*#', '', $url );
! 	elseif ( 'http' != $scheme )
  		$url = str_replace( 'http://', "$scheme://", $url );
  
  	if ( !empty( $path ) && is_string( $path ) && strpos( $path, '..' ) === false )
***************
*** 1890,1896 ****
   * @uses get_site_url()
   *
   * @param string $path Optional. Path relative to the site url.
!  * @param string $scheme Optional. Scheme to give the site url context. Currently 'http', 'https', 'login', 'login_post', or 'admin'.
   * @return string Site url link with optional path appended.
  */
  function site_url( $path = '', $scheme = null ) {
--- 1895,1901 ----
   * @uses get_site_url()
   *
   * @param string $path Optional. Path relative to the site url.
!  * @param string $scheme Optional. Scheme to give the site url context. Currently 'http', 'https', 'login', 'login_post', 'admin', or 'relative'.
   * @return string Site url link with optional path appended.
  */
  function site_url( $path = '', $scheme = null ) {
***************
*** 1909,1921 ****
   *
   * @param int $blog_id (optional) Blog ID. Defaults to current blog.
   * @param string $path Optional. Path relative to the site url.
!  * @param string $scheme Optional. Scheme to give the site url context. Currently 'http', 'https', 'login', 'login_post', or 'admin'.
   * @return string Site url link with optional path appended.
  */
  function get_site_url( $blog_id = null, $path = '', $scheme = null ) {
  	// should the list of allowed schemes be maintained elsewhere?
  	$orig_scheme = $scheme;
! 	if ( !in_array( $scheme, array( 'http', 'https' ) ) ) {
  		if ( ( 'login_post' == $scheme || 'rpc' == $scheme ) && ( force_ssl_login() || force_ssl_admin() ) )
  			$scheme = 'https';
  		elseif ( ( 'login' == $scheme ) && force_ssl_admin() )
--- 1914,1926 ----
   *
   * @param int $blog_id (optional) Blog ID. Defaults to current blog.
   * @param string $path Optional. Path relative to the site url.
!  * @param string $scheme Optional. Scheme to give the site url context. Currently 'http', 'https', 'login', 'login_post', 'admin', or 'relative'.
   * @return string Site url link with optional path appended.
  */
  function get_site_url( $blog_id = null, $path = '', $scheme = null ) {
  	// should the list of allowed schemes be maintained elsewhere?
  	$orig_scheme = $scheme;
! 	if ( !in_array( $scheme, array( 'http', 'https', 'relative' ) ) ) {
  		if ( ( 'login_post' == $scheme || 'rpc' == $scheme ) && ( force_ssl_login() || force_ssl_admin() ) )
  			$scheme = 'https';
  		elseif ( ( 'login' == $scheme ) && force_ssl_admin() )
***************
*** 1931,1937 ****
  	else
  		$url = get_blog_option( $blog_id, 'siteurl' );
  
! 	if ( 'http' != $scheme )
  		$url = str_replace( 'http://', "{$scheme}://", $url );
  
  	if ( !empty( $path ) && is_string( $path ) && strpos( $path, '..' ) === false )
--- 1936,1944 ----
  	else
  		$url = get_blog_option( $blog_id, 'siteurl' );
  
! 	if ( 'relative' == $scheme )
! 		$url = preg_replace( '#^.+://[^/]*#', '', $url );
! 	elseif ( 'http' != $scheme )
  		$url = str_replace( 'http://', "{$scheme}://", $url );
  
  	if ( !empty( $path ) && is_string( $path ) && strpos( $path, '..' ) === false )
***************
*** 2062,2068 ****
   * @since 3.0.0
   *
   * @param string $path Optional. Path relative to the site url.
!  * @param string $scheme Optional. Scheme to give the site url context. Currently 'http', 'https', 'login', 'login_post', or 'admin'.
   * @return string Site url link with optional path appended.
  */
  function network_site_url( $path = '', $scheme = null ) {
--- 2069,2075 ----
   * @since 3.0.0
   *
   * @param string $path Optional. Path relative to the site url.
!  * @param string $scheme Optional. Scheme to give the site url context. Currently 'http', 'https', 'login', 'login_post', 'admin', or 'relative'.
   * @return string Site url link with optional path appended.
  */
  function network_site_url( $path = '', $scheme = null ) {
***************
*** 2072,2078 ****
  		return site_url($path, $scheme);
  
  	$orig_scheme = $scheme;
! 	if ( !in_array($scheme, array('http', 'https')) ) {
  		if ( ( 'login_post' == $scheme || 'rpc' == $scheme ) && ( force_ssl_login() || force_ssl_admin() ) )
  			$scheme = 'https';
  		elseif ( ('login' == $scheme) && ( force_ssl_admin() ) )
--- 2079,2085 ----
  		return site_url($path, $scheme);
  
  	$orig_scheme = $scheme;
! 	if ( !in_array( $scheme, array( 'http', 'https', 'relative' ) ) ) {
  		if ( ( 'login_post' == $scheme || 'rpc' == $scheme ) && ( force_ssl_login() || force_ssl_admin() ) )
  			$scheme = 'https';
  		elseif ( ('login' == $scheme) && ( force_ssl_admin() ) )
***************
*** 2083,2089 ****
  			$scheme = ( is_ssl() ? 'https' : 'http' );
  	}
  
! 	$url = $scheme . '://' . $current_site->domain . $current_site->path;
  
  	if ( !empty($path) && is_string($path) && strpos($path, '..') === false )
  		$url .= ltrim($path, '/');
--- 2090,2099 ----
  			$scheme = ( is_ssl() ? 'https' : 'http' );
  	}
  
! 	if ( 'relative' == $scheme )
! 		$url = $current_site->path;
! 	else
! 		$url = $scheme . '://' . $current_site->domain . $current_site->path;
  
  	if ( !empty($path) && is_string($path) && strpos($path, '..') === false )
  		$url .= ltrim($path, '/');
***************
*** 2102,2108 ****
   * @since 3.0.0
   *
   * @param  string $path   (optional) Path relative to the home url.
!  * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http', 'https'.
   * @return string Home url link with optional path appended.
  */
  function network_home_url( $path = '', $scheme = null ) {
--- 2112,2118 ----
   * @since 3.0.0
   *
   * @param  string $path   (optional) Path relative to the home url.
!  * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http', 'https', or 'relative'.
   * @return string Home url link with optional path appended.
  */
  function network_home_url( $path = '', $scheme = null ) {
***************
*** 2113,2122 ****
  
  	$orig_scheme = $scheme;
  
! 	if ( !in_array($scheme, array('http', 'https')) )
  		$scheme = is_ssl() && !is_admin() ? 'https' : 'http';
  
! 	$url = $scheme . '://' . $current_site->domain . $current_site->path;
  
  	if ( !empty( $path ) && is_string( $path ) && strpos( $path, '..' ) === false )
  		$url .= ltrim( $path, '/' );
--- 2123,2135 ----
  
  	$orig_scheme = $scheme;
  
! 	if ( !in_array( $scheme, array( 'http', 'https', 'relative' ) ) )
  		$scheme = is_ssl() && !is_admin() ? 'https' : 'http';
  
! 	if ( 'relative' == $scheme )
! 		$url = $current_site->path;
! 	else
! 		$url = $scheme . '://' . $current_site->domain . $current_site->path;
  
  	if ( !empty( $path ) && is_string( $path ) && strpos( $path, '..' ) === false )
  		$url .= ltrim( $path, '/' );
***************
*** 2185,2193 ****
  }
  
  /**
   * Get the URL to the user's dashboard.
   *
!  * If a user does not belong to any site, the global user dashboard is used.  If the user belongs to the current site,
   * the dashboard for the current site is returned. If the user cannot edit the current site, the dashboard to the user's
   * primary blog is returned.
   *
--- 2198,2236 ----
  }
  
  /**
+  * Set the scheme for a URL
+  *
+  * @since 3.4.0
+  *
+  * @param string $url Absolute url that includes a scheme
+  * @param string $scheme Optional. Scheme to give $url. Currently 'http', 'https', 'login', 'login_post', 'admin', or 'relative'.
+  * @return string $url URL with chosen scheme.
+  */
+ function set_url_scheme( $url, $scheme = null ) {
+ 	$orig_scheme = $scheme;
+ 	if ( ! in_array( $scheme, array( 'http', 'https', 'relative' ) ) ) {
+ 		if ( ( 'login_post' == $scheme || 'rpc' == $scheme ) && ( force_ssl_login() || force_ssl_admin() ) )
+ 			$scheme = 'https';
+ 		elseif ( ( 'login' == $scheme ) && force_ssl_admin() )
+ 			$scheme = 'https';
+ 		elseif ( ( 'admin' == $scheme ) && force_ssl_admin() )
+ 			$scheme = 'https';
+ 		else
+ 			$scheme = ( is_ssl() ? 'https' : 'http' );
+ 	}
+ 
+ 	if ( 'relative' == $scheme )
+ 		$url = preg_replace( '#^.+://[^/]*#', '', $url );
+ 	else
+ 		$url = preg_replace( '#^.+://#', $scheme . '://', $url );
+ 
+ 	return apply_filters( 'set_url_scheme', $url, $scheme, $orig_scheme );
+ }
+ 
+ /**
   * Get the URL to the user's dashboard.
   *
!  * If a user does not belong to any site, the global user dashboard is used. If the user belongs to the current site,
   * the dashboard for the current site is returned. If the user cannot edit the current site, the dashboard to the user's
   * primary blog is returned.
   *
***************
*** 2364,2370 ****
  		$text = __('This is the short link.');
  
  	if ( empty( $title ) )
! 		$title = the_title_attribute( array( 'echo' => FALSE ) );
  
  	$shortlink = wp_get_shortlink( $post->ID );
  
--- 2407,2413 ----
  		$text = __('This is the short link.');
  
  	if ( empty( $title ) )
! 		$title = the_title_attribute( array( 'echo' => false ) );
  
  	$shortlink = wp_get_shortlink( $post->ID );
  
***************
*** 2374,2378 ****
  		echo $before, $link, $after;
  	}
  }
- 
- ?>
--- 2417,2419 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/load.php ./wordpress-3.4/wp-includes/load.php
*** ./wordpress-3.3.2/wp-includes/load.php	2011-09-29 17:57:43.000000000 -0500
--- ./wordpress-3.4/wp-includes/load.php	2012-02-08 00:05:35.000000000 -0600
***************
*** 19,25 ****
  		return;
  
  	if ( isset( $_REQUEST['GLOBALS'] ) )
! 		die( /*WP_I18N_GLOBALS_OVERWRITE*/'GLOBALS overwrite attempt detected'/*/WP_I18N_GLOBALS_OVERWRITE*/ );
  
  	// Variables that shouldn't be unset
  	$no_unset = array( 'GLOBALS', '_GET', '_POST', '_COOKIE', '_REQUEST', '_SERVER', '_ENV', '_FILES', 'table_prefix' );
--- 19,25 ----
  		return;
  
  	if ( isset( $_REQUEST['GLOBALS'] ) )
! 		die( 'GLOBALS overwrite attempt detected' );
  
  	// Variables that shouldn't be unset
  	$no_unset = array( 'GLOBALS', '_GET', '_POST', '_COOKIE', '_REQUEST', '_SERVER', '_ENV', '_FILES', 'table_prefix' );
***************
*** 97,118 ****
   *
   * Dies if requirements are not met.
   *
-  * This function must be able to work without a complete environment set up. In wp-load.php, for
-  * example, WP_CONTENT_DIR is defined and version.php is included before this function is called.
-  *
   * @access private
   * @since 3.0.0
   */
  function wp_check_php_mysql_versions() {
- 	// we can probably extend this function to check if wp_die() exists then use translated strings, and then use it in install.php etc.
- 
  	global $required_php_version, $wp_version;
  	$php_version = phpversion();
! 	if ( version_compare( $required_php_version, $php_version, '>' ) )
! 		die( sprintf( /*WP_I18N_OLD_PHP*/'Your server is running PHP version %1$s but WordPress %2$s requires at least %3$s.'/*/WP_I18N_OLD_PHP*/, $php_version, $wp_version, $required_php_version ) );
  
! 	if ( !extension_loaded( 'mysql' ) && !file_exists( WP_CONTENT_DIR . '/db.php' ) )
! 		die( /*WP_I18N_OLD_MYSQL*/'Your PHP installation appears to be missing the MySQL extension which is required by WordPress.'/*/WP_I18N_OLD_MYSQL*/ );
  }
  
  /**
--- 97,117 ----
   *
   * Dies if requirements are not met.
   *
   * @access private
   * @since 3.0.0
   */
  function wp_check_php_mysql_versions() {
  	global $required_php_version, $wp_version;
  	$php_version = phpversion();
! 	if ( version_compare( $required_php_version, $php_version, '>' ) ) {
! 		wp_load_translations_early();
! 		wp_die( sprintf( __( 'Your server is running PHP version %1$s but WordPress %2$s requires at least %3$s.' ), $php_version, $wp_version, $required_php_version ) );
! 	}
  
! 	if ( ! extension_loaded( 'mysql' ) && ! file_exists( WP_CONTENT_DIR . '/db.php' ) ) {
! 		wp_load_translations_early();
! 		wp_die( __( 'Your PHP installation appears to be missing the MySQL extension which is required by WordPress.' ) );
! 	}
  }
  
  /**
***************
*** 159,164 ****
--- 158,165 ----
  		die();
  	}
  
+ 	wp_load_translations_early();
+ 
  	$protocol = $_SERVER["SERVER_PROTOCOL"];
  	if ( 'HTTP/1.1' != $protocol && 'HTTP/1.0' != $protocol )
  		$protocol = 'HTTP/1.0';
***************
*** 167,180 ****
  	header( 'Retry-After: 600' );
  ?>
  	<!DOCTYPE html>
! 	<html xmlns="http://www.w3.org/1999/xhtml">
  	<head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
! 		<title><?php echo /*WP_I18N_MAINTENANCE*/'Maintenance'/*/WP_I18N_MAINTENANCE*/; ?></title>
  
  	</head>
  	<body>
! 		<h1><?php echo /*WP_I18N_MAINT_MSG*/'Briefly unavailable for scheduled maintenance. Check back in a minute.'/*/WP_I18N_MAINT_MSG*/; ?></h1>
  	</body>
  	</html>
  <?php
--- 168,181 ----
  	header( 'Retry-After: 600' );
  ?>
  	<!DOCTYPE html>
! 	<html xmlns="http://www.w3.org/1999/xhtml"<?php if ( is_rtl() ) echo ' dir="rtl"'; ?>>
  	<head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
! 		<title><?php _e( 'Maintenance' ); ?></title>
  
  	</head>
  	<body>
! 		<h1><?php _e( 'Briefly unavailable for scheduled maintenance. Check back in a minute.' ); ?></h1>
  	</body>
  	</html>
  <?php
***************
*** 182,198 ****
  }
  
  /**
!  * PHP 4 standard microtime start capture.
   *
   * @access private
   * @since 0.71
!  * @global int $timestart Seconds and microseconds added together from when function is called.
   * @return bool Always returns true.
   */
  function timer_start() {
  	global $timestart;
! 	$mtime = explode( ' ', microtime() );
! 	$timestart = $mtime[1] + $mtime[0];
  	return true;
  }
  
--- 183,198 ----
  }
  
  /**
!  * PHP 5 standard microtime start capture.
   *
   * @access private
   * @since 0.71
!  * @global float $timestart Seconds from when function is called.
   * @return bool Always returns true.
   */
  function timer_start() {
  	global $timestart;
! 	$timestart = microtime( true );
  	return true;
  }
  
***************
*** 213,220 ****
   * in most cases, you only need to echo it.
   *
   * @since 0.71
!  * @global int $timestart Seconds and microseconds added together from when timer_start() is called
!  * @global int $timeend Seconds and microseconds added together from when function is called
   *
   * @param int $display Use '0' or null to not echo anything and 1 to echo the total time
   * @param int $precision The amount of digits from the right of the decimal to display. Default is 3.
--- 213,220 ----
   * in most cases, you only need to echo it.
   *
   * @since 0.71
!  * @global float $timestart Seconds from when timer_start() is called
!  * @global float $timeend Seconds from when function is called
   *
   * @param int $display Use '0' or null to not echo anything and 1 to echo the total time
   * @param int $precision The amount of digits from the right of the decimal to display. Default is 3.
***************
*** 222,230 ****
   */
  function timer_stop( $display = 0, $precision = 3 ) { // if called like timer_stop(1), will echo $timetotal
  	global $timestart, $timeend;
! 	$mtime = microtime();
! 	$mtime = explode( ' ', $mtime );
! 	$timeend = $mtime[1] + $mtime[0];
  	$timetotal = $timeend - $timestart;
  	$r = ( function_exists( 'number_format_i18n' ) ) ? number_format_i18n( $timetotal, $precision ) : number_format( $timetotal, $precision );
  	if ( $display )
--- 222,228 ----
   */
  function timer_stop( $display = 0, $precision = 3 ) { // if called like timer_stop(1), will echo $timetotal
  	global $timestart, $timeend;
! 	$timeend = microtime( true );
  	$timetotal = $timeend - $timestart;
  	$r = ( function_exists( 'number_format_i18n' ) ) ? number_format_i18n( $timetotal, $precision ) : number_format( $timetotal, $precision );
  	if ( $display )
***************
*** 367,374 ****
  
  	$prefix = $wpdb->set_prefix( $table_prefix );
  
! 	if ( is_wp_error( $prefix ) )
! 		wp_die( /*WP_I18N_BAD_PREFIX*/'<strong>ERROR</strong>: <code>$table_prefix</code> in <code>wp-config.php</code> can only contain numbers, letters, and underscores.'/*/WP_I18N_BAD_PREFIX*/ );
  }
  
  /**
--- 365,374 ----
  
  	$prefix = $wpdb->set_prefix( $table_prefix );
  
! 	if ( is_wp_error( $prefix ) ) {
! 		wp_load_translations_early();
! 		wp_die( __( '<strong>ERROR</strong>: <code>$table_prefix</code> in <code>wp-config.php</code> can only contain numbers, letters, and underscores.' ) );
! 	}
  }
  
  /**
***************
*** 568,574 ****
   */
  
  function wp_clone( $object ) {
! 	// Use parens for clone to accommodate PHP 4.  See #17880
  	return clone( $object );
  }
  
--- 568,574 ----
   */
  
  function wp_clone( $object ) {
! 	// Use parens for clone to accommodate PHP 4. See #17880
  	return clone( $object );
  }
  
***************
*** 653,656 ****
  	return false;
  }
  
! ?>
--- 653,738 ----
  	return false;
  }
  
! /**
!  * Attempts an early load of translations.
!  *
!  * Used for errors encountered during the initial loading process, before the locale has been
!  * properly detected and loaded.
!  *
!  * Designed for unusual load sequences (like setup-config.php) or for when the script will then
!  * terminate with an error, otherwise there is a risk that a file can be double-included.
!  *
!  * @since 3.4.0
!  * @access private
!  */
! function wp_load_translations_early() {
! 	global $text_direction, $wp_locale;
! 
! 	static $loaded = false;
! 	if ( $loaded )
! 		return;
! 	$loaded = true;
! 
! 	if ( function_exists( 'did_action' ) && did_action( 'init' ) )
! 		return;
! 
! 	// We need $wp_local_package
! 	require ABSPATH . WPINC . '/version.php';
! 
! 	// Translation and localization
! 	require_once ABSPATH . WPINC . '/pomo/mo.php';
! 	require_once ABSPATH . WPINC . '/l10n.php';
! 	require_once ABSPATH . WPINC . '/locale.php';
! 
! 	// General libraries
! 	require_once ABSPATH . WPINC . '/functions.php';
! 	require_once ABSPATH . WPINC . '/plugin.php';
! 
! 	$locales = $locations = array();
! 
! 	while ( true ) {
! 		if ( defined( 'WPLANG' ) ) {
! 			if ( '' == WPLANG )
! 				break;
! 			$locales[] = WPLANG;
! 		}
! 
! 		if ( isset( $wp_local_package ) )
! 			$locales[] = $wp_local_package;
! 
! 		if ( ! $locales )
! 			break;
! 
! 		if ( defined( 'WP_LANG_DIR' ) && @is_dir( WP_LANG_DIR ) )
! 			$locations[] = WP_LANG_DIR;
! 
! 		if ( defined( 'WP_CONTENT_DIR' ) && @is_dir( WP_CONTENT_DIR . '/languages' ) )
! 			$locations[] = WP_CONTENT_DIR . '/languages';
! 
! 		if ( @is_dir( ABSPATH . 'wp-content/languages' ) )
! 			$locations[] = ABSPATH . 'wp-content/languages';
! 
! 		if ( @is_dir( ABSPATH . WPINC . '/languages' ) )
! 			$locations[] = ABSPATH . WPINC . '/languages';
! 
! 		if ( ! $locations )
! 			break;
! 
! 		$locations = array_unique( $locations );
! 
! 		foreach ( $locales as $locale ) {
! 			foreach ( $locations as $location ) {
! 				if ( file_exists( $location . '/' . $locale . '.mo' ) ) {
! 					load_textdomain( 'default', $location . '/' . $locale . '.mo' );
! 					if ( defined( 'WP_SETUP_CONFIG' ) && file_exists( $location . '/admin-' . $locale . '.mo' ) )
! 						load_textdomain( 'default', $location . '/admin-' . $locale . '.mo' );
! 					break 2;
! 				}
! 			}
! 		}
! 
! 		break;
! 	}
! 
! 	$wp_locale = new WP_Locale();
! }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/locale.php ./wordpress-3.4/wp-includes/locale.php
*** ./wordpress-3.3.2/wp-includes/locale.php	2011-09-29 17:57:43.000000000 -0500
--- ./wordpress-3.4/wp-includes/locale.php	2012-02-06 13:43:26.000000000 -0600
***************
*** 85,99 ****
  	var $text_direction = 'ltr';
  
  	/**
- 	 * Imports the global version to the class property.
- 	 *
- 	 * @since 2.1.0
- 	 * @var array
- 	 * @access private
- 	 */
- 	var $locale_vars = array('text_direction');
- 
- 	/**
  	 * Sets up the translated strings and object properties.
  	 *
  	 * The method creates the translatable strings for various
--- 85,90 ----
***************
*** 113,119 ****
  		$this->weekday[5] = /* translators: weekday */ __('Friday');
  		$this->weekday[6] = /* translators: weekday */ __('Saturday');
  
! 		// The first letter of each day.  The _%day%_initial suffix is a hack to make
  		// sure the day initials are unique.
  		$this->weekday_initial[__('Sunday')]    = /* translators: one-letter abbreviation of the weekday */ __('S_Sunday_initial');
  		$this->weekday_initial[__('Monday')]    = /* translators: one-letter abbreviation of the weekday */ __('M_Monday_initial');
--- 104,110 ----
  		$this->weekday[5] = /* translators: weekday */ __('Friday');
  		$this->weekday[6] = /* translators: weekday */ __('Saturday');
  
! 		// The first letter of each day. The _%day%_initial suffix is a hack to make
  		// sure the day initials are unique.
  		$this->weekday_initial[__('Sunday')]    = /* translators: one-letter abbreviation of the weekday */ __('S_Sunday_initial');
  		$this->weekday_initial[__('Monday')]    = /* translators: one-letter abbreviation of the weekday */ __('M_Monday_initial');
***************
*** 186,197 ****
  		$trans = __('number_format_decimal_point');
  		$this->number_format['decimal_point'] = ('number_format_decimal_point' == $trans) ? '.' : $trans;
  
! 		// Import global locale vars set during inclusion of $locale.php.
! 		foreach ( (array) $this->locale_vars as $var ) {
! 			if ( isset($GLOBALS[$var]) )
! 				$this->$var = $GLOBALS[$var];
! 		}
! 
  	}
  
  	/**
--- 177,188 ----
  		$trans = __('number_format_decimal_point');
  		$this->number_format['decimal_point'] = ('number_format_decimal_point' == $trans) ? '.' : $trans;
  
! 		// Set text direction.
! 		if ( isset( $GLOBALS['text_direction'] ) )
! 			$this->text_direction = $GLOBALS['text_direction'];
! 		/* translators: 'rtl' or 'ltr'. This sets the text direction for WordPress. */
! 		elseif ( 'rtl' == _x( 'ltr', 'text direction' ) )
! 			$this->text_direction = 'rtl';
  	}
  
  	/**
***************
*** 332,340 ****
  	 * @since 3.0.0
  	 * @return bool Whether locale is RTL.
  	 */
! 	 function is_rtl() {
! 	 	return 'rtl' == $this->text_direction;
! 	 }
  }
  
  /**
--- 324,332 ----
  	 * @since 3.0.0
  	 * @return bool Whether locale is RTL.
  	 */
! 	function is_rtl() {
! 		return 'rtl' == $this->text_direction;
! 	}
  }
  
  /**
***************
*** 347,351 ****
  	global $wp_locale;
  	return $wp_locale->is_rtl();
  }
- 
- ?>
--- 339,341 ----
